Package org.apache.commons.fileupload2.core

# Class AbstractTest<AFU extends org.apache.commons.fileupload2.core.AbstractFileUpload<R,I,F>,R,I extends org.apache.commons.fileupload2.core.FileItem<I>,F extends org.apache.commons.fileupload2.core.FileItemFactory<I>>

java.lang.Object
org.apache.commons.fileupload2.core.AbstractTest<AFU,R,I,F>

Type Parameters:
  `AFU` - The AbstractFileUpload type.
  `R` - The FileUpload request type.
  `I` - The FileItem type.
  `F` - The FileItemFactory type.

Direct Known Subclasses:
  `AbstractProgressListenerTest`, `AbstractSizesTest`, `AbstractStreamingTest`

public abstract class AbstractTest<AFU extends org.apache.commons.fileupload2.core.AbstractFileUpload<R,I,F>,R,I extends org.apache.commons.fileupload2.core.FileItem<I>,F extends org.apache.commons.fileupload2.core.FileItemFactory<I>> extends Object
Abstract test.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract AFU`
  `newFileUpload()`
  `protected R`
  `newMockHttpServletRequest(byte[] request, Long overrideContenLength, String contentType, Integer overrideReadLimit)`
  `protected abstract R`
  `newMockHttpServletRequest(InputStream requestInputStream, long requestLength, String contentType, int readLimit)`
  `protected R`
  `newMockHttpServletRequest(String request, Long overrideContenLength, Integer overrideReadLimit)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractTest

    public AbstractTest()

- ## Method Details

  - ### newFileUpload

    protected abstract AFU newFileUpload()

  - ### newMockHttpServletRequest

    protected R newMockHttpServletRequest(byte[] request, Long overrideContenLength, String contentType, Integer overrideReadLimit)

  - ### newMockHttpServletRequest

    protected abstract R newMockHttpServletRequest(InputStream requestInputStream, long requestLength, String contentType, int readLimit)

  - ### newMockHttpServletRequest

    protected R newMockHttpServletRequest(String request, Long overrideContenLength, Integer overrideReadLimit)